Introduction

The HP Driver Deployment Utility (DDU) enables an administrator to create a driver install package for unattended installation by end users. This utility supports adding print drivers to the Windows driver store and creating entries in the Printer’s folder. The Driver Deployment Utility supports print drivers designed to be used with Microsoft’s Add Printer Wizard. All Microsoft certification constraints and alerts apply.

The UI is divided into 3 sections:

  1. ‘Package Source’ describes package type and driver location you want to create
  2. ‘Package Target’ identifies the name and location of the installation package
  3. ‘Create Package’ initiates the package creation process


Package Source

Driver Directory

Use the ‘Select Driver…’ button to select an inf file in the driver directory by browsing or typing it in. You should only have one driver package in this directory because this utility will package all the files found in this directory (and sub directories) into the executable. If you have downloaded a compressed driver package, you must expand it before using this utility.

In some cases, you may have multiple driver inf files in the directory (sometimes one is for color and another for mono printers). In this case, an additional dialog will allow you to select which driver to package.

You will also get a warning if your directory is large. This is to help prevent packaging more than one driver. You may choose to continue at this point if the directory contains all desired or needed files.

Once the driver directory is selected, and one driver has been found, the directory and driver information is displayed.

For drivers that support pre-configuration, the checkbox below will be enabled. Selecting this will run a configuration dialog after the ‘Create Package’ button is selected.

Install Type

‘Preload the driver’ - is the option to select for users that will be using a direct connection, like a USB cable. A future Plug and Play event will be necessary to install the driver, but all the files will be installed in the Windows driver store by this package for future use. NOTE: If multiple drivers are found for a device, the Operating System will determine which driver is the best match for the Plug and Play event, or present the user with a driver selection dialog.

By default the executable runs with a progress dialog. To turn off the progress dialog, run the executable with a “/q” on the command line. If you would like to prompt the end user to connect the printer at the end of the install, then select the checkbox ‘Show a prompt to connect the printer’.

For printers using a network connection, select the ‘Create network port and install the driver’ option. The ‘Network Settings’ button will become enabled, and you should click on it to enter the required network settings.

Network Settings

You must identify the network printer by one or more of the following methods. This utility does not communicate with the device to determine if the settings are valid, but does do syntax checking. (To enable rediscovery of the device, ensure the Hardware Address is specified.)

IP Address:

Enter the IPv4 or IPv6 address of the printer

Hardware Address:

Enter the hardware address of the printer

Hostname:

Enter the hostname of the printer

The following network settings are additional. You may accept the default values pre-entered or change any of them.

Port Name:

This is the network port name that will be created. If the name already exists, a number will be appended to make it unique.

Printer Name:

This is the printer name that will appear in the printers’ folder. If the name already exists, a number will be appended to make it unique.

Set this printer as default:

Yes - will make this printer the default when printing from other applications.

No - will retain the current default, unless this is the only printer installed.

Share this printer:

Yes - will allow others to use this printer.

Share Name:

Share name for the printer. Only enabled if ‘Share this printer’ is Yes. If the name already exists, a number will be appended to make it unique.


Package Target

Select the ‘Save As…’ button to enter the name and location for the output package. The utility will create the package in the temp directory and then move it to the final location. The package will consist of 2 files that need to be delivered together: an .exe and a .cab.

A matching xml description file containing the package details will also be copied to the final location. The xml package is informational only, it is not used by DDU during execution.


Create Package

Select the ‘Create Package’ button when you have entered all the above information. This button will be disabled until you have entered the required information. Once selected, the ‘Cancel’ button and ‘Progress’ bar will be enabled.

To stop the package creation, select the ‘Cancel’ button.

The executable will run with a progress dialog, and if requested, a user prompt for a direct connect printer. If an error is encountered during execution, an error dialog will appear. To suppress the error dialog, you should select the ‘Suppress all end user error messages’ checkbox.


Additional Notes:

To close this application use the Windows close button in upper right.


Supported OSs

Microsoft Windows 7

Microsoft Windows 7 6464 биттік нұсқасы

Microsoft Windows Server 2008 R2 6464 биттік нұсқасы

Microsoft Windows 8

Microsoft Windows 8 6464 биттік нұсқасы

Microsoft Windows Server 2012 6464 биттік нұсқасы

Microsoft Windows Server 2012 R2 6464 биттік нұсқасы

Microsoft Windows 8.1

Microsoft Windows 8.1 6464 биттік нұсқасы

Microsoft Windows Server 2016 6464 биттік нұсқасы

Microsoft Windows 10

Microsoft Windows 10 64 биттік нұсқасы

Microsoft Windows Server 2019 6464 биттік нұсқасы


Command Line Options

The end user package can be modified by adding command line switches. The command line switches can be combined if they are separated by spaces. An error message is displayed if the command line contains an error, like an invalid character or improper formatting. Improper command line switches are ignored. The following command line description is also available (in English) by running the end user package with a “/?”.

Preload packages support the following command line options:

/? display the command line information (English only)

/q suppress the progress bar

/p prompt user to connect printer

/s suppress the end user error messages

Network printer packages support the following command line options:

/? display the command line information (English only)

/q suppress the progress bar

/s suppress the end user error messages

/ip <ip address> use the specified IP address to identify the printer, e.g. /ip 120.25.5.56

/hw <hardware address> use the specified Hardware address to identify the printer, e.g. /hw 0001E6299128

/hn <hostname> use the specified hostname to identify the printer, e.g. /hn Myhostname

The hostname cannot be longer than 255 chars and can only contain the following characters: A-Z, a-z, 0-9 and the dash (-).

/pn <portname> use the specified name as the portname, e.g. /pn HPPort

The portname cannot contain spaces and cannot be longer than 128 characters.

/n ”<printername>” use the specified name as the name of the printer, e.g. /n "HP LaserJet 8150"

The printer name must be contained in quotes, cannot be longer than 40 characters and cannot contain any of these special characters: ! # ,

/d set this printer as default

/sn ”<sharename>” turn sharing on and use the specified name as the share name for the printer, e.g. /sn ”My shared HP LaserJet 8150”

The share name must be contained in quotes, cannot be longer than 80 characters and cannot contain any of these special characters: / \ : ; “ ? * + = < > [ ]

© Copyright 2019 Hewlett-Packard Development Company, L.P.